/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef MY_MIDI_H
#define MY_MIDI_H

/* MIDI definitions follow */
#define NOTE_OFF          0x80
#define NOTE_ON           0x90
#define KEY_PRESSURE      0xA0
#define CONTROL_CHANGE    0xB0
#define PROGRAM_CHANGE    0xC0
#define CHANNEL_PRESSURE  0xD0
#define PITCH_BEND        0xE0

#define METACMD_TEXT_EV    0x01
#define METACMD_TRACK_NAME 0x03
#define METACMD_EOT        0x2F
#define METACMD_SETTEMPO   0x51

#endif				/* #ifdef MY_MIDI_H */
