/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gnome.h>

struct stSyncTmr;

/* 
 * create a environment of syncronized timers that act in the exact same
 * sequence that they were installed.
 */
struct stSyncTmr *synctmr_create(void);

/*
 * destroy the environment. All the pending timers are executed during 
 * the calling of this function.
 */
void synctmr_destroy(struct stSyncTmr *synctmr);

/*
 * install a timer for an environment. 
 * interval: should represent the time to the next callback
 * function: the callback
 * data: user data
 */
void synctmr_timeout_add(struct stSyncTmr *synctmr, guint32 interval,
			 GtkFunction function, gpointer data);
