/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

struct stSequencer;

void open_sequencer(gpointer appdata,
		    void (*timidity_connection_result) (gpointer appdata,
							struct stSequencer
							* sequencer));
int close_sequencer(struct stSequencer *sequencer);

/* send 'pause time' to timidity between midi events */
void sequencer_wait(struct stSequencer *sequencer, double milisec);
/* send midi events to timidity to be played */
void sequencer_send_midi_event(struct stSequencer *sequencer,
			       guchar status, guchar data1, guchar data2);

void sequencer_dumpbuf(struct stSequencer *sequencer);

/* 
 * Set the callback for every sync that came from timidity.
 * Warning:
 *    Don't forget to send sequencer_wait for the whole ms_avail in the cb.
 */
void timidity_set_sync_cb(struct stSequencer *sequencer,
			  void (*sync_reply_cb) (double ms_avail,
						 gpointer appdata),
			  gpointer appdata);
